var _excluded = ["name"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/* tslint:disable */

/* eslintdisable */
import React from 'react';
import Zhengque from './Zhengque';
import Fenge from './Fenge';
import Tag from './Tag';
import Shouye from './Shouye';
import Caidan from './Caidan';
import Zanting from './Zanting';
import Bofang from './Bofang';
import Zhibozhong from './Zhibozhong';
import Shoucang1 from './Shoucang1';
import Zan1 from './Zan1';
import Shijian from './Shijian';
import Zhuanlan from './Zhuanlan';
import Zhizhen from './Zhizhen';
import Time from './Time';
import Bukanjian from './Bukanjian';
import Kanjian from './Kanjian';
import Jiankang from './Jiankang';
import Rili from './Rili';
import Zhibo from './Zhibo';
import Chuangzuo from './Chuangzuo';
import Yisheng from './Yisheng';
import Weixin from './Weixin';
import Eye from './Eye';
import Zan from './Zan';
import Shoucang from './Shoucang';
import Shuaxin from './Shuaxin';
import Tongzhi from './Tongzhi';
import Home from './Home';
import Yiyuan from './Yiyuan';
import Keshi from './Keshi';
import Mobile from './Mobile';
import Left from './Left';
import Filter from './Filter';
import Jia from './Jia';
import Album from './Album';
import Biaoqing from './Biaoqing';
import Voice from './Voice';
import Xiangji from './Xiangji';
import Xingxing from './Xingxing';
import Tip from './Tip';
import Jianshao from './Jianshao';
import Zengjia from './Zengjia';
import Right from './Right';
import HomeSolid from './HomeSolid';
import Monitor from './Monitor';
import Notice from './Notice';
import Add from './Add';
import Clear from './Clear';
import Clear2 from './Clear2';
import Yes from './Yes';
import Search from './Search';
import Down from './Down';
import Loading2 from './Loading2';
import Loading from './Loading';

var IconFont = function IconFont(_ref) {
  var name = _ref.name,
      rest = _objectWithoutProperties(_ref, _excluded);

  switch (name) {
    case 'zhengque':
      return /*#__PURE__*/React.createElement(Zhengque, _objectSpread({}, rest));

    case 'fenge':
      return /*#__PURE__*/React.createElement(Fenge, _objectSpread({}, rest));

    case 'tag':
      return /*#__PURE__*/React.createElement(Tag, _objectSpread({}, rest));

    case 'shouye':
      return /*#__PURE__*/React.createElement(Shouye, _objectSpread({}, rest));

    case 'caidan':
      return /*#__PURE__*/React.createElement(Caidan, _objectSpread({}, rest));

    case 'zanting':
      return /*#__PURE__*/React.createElement(Zanting, _objectSpread({}, rest));

    case 'bofang':
      return /*#__PURE__*/React.createElement(Bofang, _objectSpread({}, rest));

    case 'zhibozhong':
      return /*#__PURE__*/React.createElement(Zhibozhong, _objectSpread({}, rest));

    case 'shoucang1':
      return /*#__PURE__*/React.createElement(Shoucang1, _objectSpread({}, rest));

    case 'zan1':
      return /*#__PURE__*/React.createElement(Zan1, _objectSpread({}, rest));

    case 'shijian':
      return /*#__PURE__*/React.createElement(Shijian, _objectSpread({}, rest));

    case 'zhuanlan':
      return /*#__PURE__*/React.createElement(Zhuanlan, _objectSpread({}, rest));

    case 'zhizhen':
      return /*#__PURE__*/React.createElement(Zhizhen, _objectSpread({}, rest));

    case 'time':
      return /*#__PURE__*/React.createElement(Time, _objectSpread({}, rest));

    case 'bukanjian':
      return /*#__PURE__*/React.createElement(Bukanjian, _objectSpread({}, rest));

    case 'kanjian':
      return /*#__PURE__*/React.createElement(Kanjian, _objectSpread({}, rest));

    case 'jiankang':
      return /*#__PURE__*/React.createElement(Jiankang, _objectSpread({}, rest));

    case 'rili':
      return /*#__PURE__*/React.createElement(Rili, _objectSpread({}, rest));

    case 'zhibo':
      return /*#__PURE__*/React.createElement(Zhibo, _objectSpread({}, rest));

    case 'chuangzuo':
      return /*#__PURE__*/React.createElement(Chuangzuo, _objectSpread({}, rest));

    case 'yisheng':
      return /*#__PURE__*/React.createElement(Yisheng, _objectSpread({}, rest));

    case 'weixin':
      return /*#__PURE__*/React.createElement(Weixin, _objectSpread({}, rest));

    case 'eye':
      return /*#__PURE__*/React.createElement(Eye, _objectSpread({}, rest));

    case 'zan':
      return /*#__PURE__*/React.createElement(Zan, _objectSpread({}, rest));

    case 'shoucang':
      return /*#__PURE__*/React.createElement(Shoucang, _objectSpread({}, rest));

    case 'shuaxin':
      return /*#__PURE__*/React.createElement(Shuaxin, _objectSpread({}, rest));

    case 'tongzhi':
      return /*#__PURE__*/React.createElement(Tongzhi, _objectSpread({}, rest));

    case 'home':
      return /*#__PURE__*/React.createElement(Home, _objectSpread({}, rest));

    case 'yiyuan':
      return /*#__PURE__*/React.createElement(Yiyuan, _objectSpread({}, rest));

    case 'keshi':
      return /*#__PURE__*/React.createElement(Keshi, _objectSpread({}, rest));

    case 'mobile':
      return /*#__PURE__*/React.createElement(Mobile, _objectSpread({}, rest));

    case 'left':
      return /*#__PURE__*/React.createElement(Left, _objectSpread({}, rest));

    case 'filter':
      return /*#__PURE__*/React.createElement(Filter, _objectSpread({}, rest));

    case 'jia':
      return /*#__PURE__*/React.createElement(Jia, _objectSpread({}, rest));

    case 'album':
      return /*#__PURE__*/React.createElement(Album, _objectSpread({}, rest));

    case 'biaoqing':
      return /*#__PURE__*/React.createElement(Biaoqing, _objectSpread({}, rest));

    case 'voice':
      return /*#__PURE__*/React.createElement(Voice, _objectSpread({}, rest));

    case 'xiangji':
      return /*#__PURE__*/React.createElement(Xiangji, _objectSpread({}, rest));

    case 'xingxing':
      return /*#__PURE__*/React.createElement(Xingxing, _objectSpread({}, rest));

    case 'tip':
      return /*#__PURE__*/React.createElement(Tip, _objectSpread({}, rest));

    case 'jianshao':
      return /*#__PURE__*/React.createElement(Jianshao, _objectSpread({}, rest));

    case 'zengjia':
      return /*#__PURE__*/React.createElement(Zengjia, _objectSpread({}, rest));

    case 'right':
      return /*#__PURE__*/React.createElement(Right, _objectSpread({}, rest));

    case 'homesolid':
      return /*#__PURE__*/React.createElement(HomeSolid, _objectSpread({}, rest));

    case 'monitor':
      return /*#__PURE__*/React.createElement(Monitor, _objectSpread({}, rest));

    case 'notice':
      return /*#__PURE__*/React.createElement(Notice, _objectSpread({}, rest));

    case 'add':
      return /*#__PURE__*/React.createElement(Add, _objectSpread({}, rest));

    case 'clear':
      return /*#__PURE__*/React.createElement(Clear, _objectSpread({}, rest));

    case 'clear2':
      return /*#__PURE__*/React.createElement(Clear2, _objectSpread({}, rest));

    case 'yes':
      return /*#__PURE__*/React.createElement(Yes, _objectSpread({}, rest));

    case 'search':
      return /*#__PURE__*/React.createElement(Search, _objectSpread({}, rest));

    case 'down':
      return /*#__PURE__*/React.createElement(Down, _objectSpread({}, rest));

    case 'loading2':
      return /*#__PURE__*/React.createElement(Loading2, _objectSpread({}, rest));

    case 'loading':
      return /*#__PURE__*/React.createElement(Loading, _objectSpread({}, rest));
  }

  return null;
};

export default IconFont;